import numpy as np
import matplotlib.pyplot as plt
from src import coil_class as BC
from src import physical_constants as cs
import logging as log


def main():
    AHH_Coil = BC.BCoil(HH=-1, distance=69.313, radius=47, layers=8, windings=16,
                        wire_height=0.5, wire_width=0.5, insulation_thickness=0.068 / 2,
                        is_round=True, winding_scheme=2)
    
    step = 1
    xlim_mm = 30
    xlim = int(xlim_mm/step) + 1
    ylim_mm = 30
    ylim = int(ylim_mm/step) + 1
    zlim_mm = 20
    zlim = int(zlim_mm/step) + 1


    x = np.linspace(0,xlim_mm,xlim) * 1e-3
    y = np.linspace(0,ylim_mm,ylim) * 1e-3
    z = np.linspace(0,zlim_mm,zlim) * 1e-3
    B_quarter = np.load('output/B_quarter.npy')

    x_m, z_m = np.meshgrid(x, z)

    plt.figure(34)

    plt.quiver(x_m,z_m,np.transpose(B_quarter[0, :, :, 0]), np.transpose(B_quarter[0, :, :, 1]))
    plt.xlabel("x-axis [mm]")
    plt.ylabel("z-axis [mm]")
    plt.show()

    x_m, y_m = np.meshgrid(x, y)

    plt.figure(35)

    plt.quiver(x_m, y_m, np.transpose(B_quarter[:, :, 0, 0]), np.transpose(B_quarter[:, :, 0, 1]))
    plt.xlabel("x-axis [mm]")
    plt.ylabel("y-axis [mm]")
    plt.show()


    # AHH_Coil.B_quick_plot(5,abs = False)
    #AHH_Coil.plot_3d(5,30,20)





if __name__ == '__main__':
    main()